## EvPasswordView EvPasswordView |

## Synopsis

    struct              EvPasswordView;
    struct              EvPasswordViewClass;
                        EvPasswordViewPrivate;
    GtkWidget *         ev_password_view_new                (GtkWindow *parent);
    void                ev_password_view_set_uri            (EvPasswordView *password_view,
                                                             const char *uri);
    void                ev_password_view_ask_password       (EvPasswordView *password_view);
    const gchar *       ev_password_view_get_password       (EvPasswordView *password_view);
    GPasswordSave       ev_password_view_get_password_save_flags
                                                            (EvPasswordView *password_view);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBin
                               +----GtkViewport
                                     +----EvPasswordView

## Implemented Interfaces

EvPasswordView implements AtkImplementorIface, GtkBuildable and GtkScrollable.

## Signals

      "unlock"                                         : Action

## Description

## Details

### struct EvPasswordView

    struct EvPasswordView;

### struct EvPasswordViewClass

    struct EvPasswordViewClass {
    	GtkViewportClass parent_class;

    	/* signals */
    	void (*unlock) (EvPasswordView *self);
    };

### EvPasswordViewPrivate

    typedef struct _EvPasswordViewPrivate EvPasswordViewPrivate;

### ev_password_view_new ()

    GtkWidget *         ev_password_view_new                (GtkWindow *parent);

### ev_password_view_set_uri ()

    void                ev_password_view_set_uri            (EvPasswordView *password_view,
                                                             const char *uri);

### ev_password_view_ask_password ()

    void                ev_password_view_ask_password       (EvPasswordView *password_view);

### ev_password_view_get_password ()

    const gchar *       ev_password_view_get_password       (EvPasswordView *password_view);

### ev_password_view_get_password_save_flags ()

    GPasswordSave       ev_password_view_get_password_save_flags
                                                            (EvPasswordView *password_view);

## Signal Details

### The `"unlock"` signal

    void                user_function                      (EvPasswordView *evpasswordview,
                                                            gpointer        user_data)           : Action